Bug 1293266 - Failed to install with packstack - Could not find data item DEFAULT_EXEC_TIMEOUT in any Hiera data file and no default supplied
Failed to install with packstack - Could not find data item DEFAULT_EXEC_TIME...
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
6.0 (Juno)
Unspecified Unspecified
unspecified Severity high
: ---
: 8.0 (Liberty)
Assigned To: Ivan Chavero
: AutomationBlocker
Depends On:
Blocks: 1196054
  Show dependency treegraph
Reported: 2015-12-21 04:27 EST by Itzik Brown
Modified: 2016-04-18 03:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-08 15:05:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Answer file (29.76 KB, text/plain)
2015-12-21 04:27 EST, Itzik Brown
no flags Details

  None (edit)
Description Itzik Brown 2015-12-21 04:27:48 EST
Created attachment 1108262 [details]
Answer file

Description of problem:
When installing RHOS6 with packstack on a distributed environment I get the following Error:
Error: Could not find data item DEFAULT_EXEC_TIMEOUT in any Hiera data file and no default supplied at /var/tmp/packstack/89ddbf0ff0424750bfa92d5b3583f9c4/manifests

Version-Release number of selected component (if applicable):

How reproducible:
First time I saw this one.

Steps to Reproduce:
1. packstack --answer-file=answers.txt 

Actual results:

Expected results:

Additional info:
Comment 2 nlevinki 2016-01-03 04:46:47 EST
This issue blocks installation and we can't verify tickets for RHOS6
Comment 3 nlevinki 2016-01-04 03:29:45 EST
there is a workaround fro this issue, taking it out from blocker but adding automation-blocker
Here are the workaround steps
There's a problem with the installation of OSP 6 with Packstack, the
root of the problem is an old hiera RPM.

Please remove hiera and puppet
# rpm -e puppet
# rpm -e hiera
copy hiera RPM from my server
# scp root@cougar07.scl.lab.tlv.redhat.com:/root/hiera-1.3.4-1.el7.noarch.rpm .
password will be given via email nlevinki@redhat.com
install hiera and puppet
# rpm -ivh hiera-1.3.4-1.el7.noarch.rpm
# yum install puppet
rm /etc/puppet/hiera.yaml
reboot the machine.
Comment 4 Ivan Chavero 2016-01-05 02:30:00 EST
Are you using RHEL 7?
Comment 5 Ivan Chavero 2016-01-05 12:45:28 EST
Could not reproduce this bug. Can you confirm that this problem is consistenly hgappening?
Comment 6 Ivan Chavero 2016-01-08 15:05:31 EST
Could not reproduce bug with current packstack RPM (openstack-packstack-2014.2-0.25.dev1474.gd85ee76.el7ost) , please feel free to reopen if the problem persists
Comment 7 Itzik Brown 2016-02-01 07:06:14 EST
I'll reopen once I'll have a setup to check it and check whether this issue still occurs.

Note You need to log in before you can comment on or make changes to this bug.